## gdb 10.1

=== debian/changelog ===
gdb (10.1-2ubuntu2) hirsute; urgency=medium

  * Update from the gdb-10-branch:
    - Fix PR gdb/27541, PR threads/27239, PR symtab/27341, PR build/27536,
      PR build/27535, PR symtab/27333, PR gdb/27147, PR gdb/26861,
      PR gdb/26828, PR gdb/27435, PR build/27385, PR tdep/27369,
      PR breakpoints/27330, PR gdb/26813, PR gdb/26881, PR remote/26614.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 11 Apr 2021 12:32:56 +0200

gdb (10.1-2ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from the upstream source tarball.
    - Regenerate the control file.
    - Apply patches gdb-strings and ptrace-error-verbosity.
    - Don't use libsource-highlight-dev on i386.
    - Skip tests on armhf, hanging on the buildds.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 05 Mar 2021 18:48:32 +0100

gdb (10.1-2) unstable; urgency=high

  * Acknowledge past contributions from Matthias and Samuel.
  * Sync latest updates from 10.1 branch

 -- Héctor Orón Martínez <zumbi@debian.org>  Thu, 04 Mar 2021 19:37:19 +0100

gdb (10.1-1.7+hurd.1) unreleased; urgency=high

  * patches/fork-inferior-fix: fix missing fork-inferior.c file.
  * patches/vm_min_max_address: fix missing VM_MIN/MAX_ADDRESS macros.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 24 Jan 2021 10:40:47 +0000

gdb (10.1-1.7) unstable; urgency=high

  * Non-maintainer upload.
  * Update to the gdb-10-branch 20210103 (copyright updates).
  * Fix building the gdb-source package. Closes: #978391.
  * Call dh_dwz before dh_strip.
  * Add x86_64-linux-gnux32 as a target for gdb-multiarch.

 -- Matthias Klose <doko@debian.org>  Sun, 03 Jan 2021 12:07:38 +0100

gdb (10.1-1.6ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from the upstream source tarball.
    - Regenerate the control file.
    - Apply patches gdb-strings and ptrace-error-verbosity.
    - Don't use libsource-highlight-dev on i386.
    - Skip tests on armhf, hanging on the buildds.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 03 Jan 2021 11:06:40 +0100

gdb (10.1-1.6) unstable; urgency=high

  * Non-maintainer upload.
  * Update to the gdb-10-branch 20210103 (copyright updates).
  * Fix building the gdb-source package. Closes: #978391.
  * Call dh_dwz before dh_strip.
  * Add x86_64-linux-gnux32 as a target for gdb-multiarch.

 -- Matthias Klose <doko@debian.org>  Sun, 03 Jan 2021 11:03:21 +0100

gdb (10.1-1.5ubuntu2) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from the upstream source tarball.
    - Regenerate the control file.
    - Apply patches gdb-strings and ptrace-error-verbosity.
    - Don't use libsource-highlight-dev on i386.
  * Skip tests on armhf, hanging on the buildds.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Dec 2020 10:08:08 +0100

gdb (10.1-1.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't build gdb-source when only building architecture dependent packages.
  * Don't run the tests when only building arch-indep packages.
  * Support the nodoc profile. Closes: #870646.

 -- Matthias Klose <doko@debian.org>  Thu, 17 Dec 2020 10:06:12 +0100

gdb (10.1-1.4ubuntu2) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from the upstream source tarball.
    - Regenerate the control file.
    - Apply patches gdb-strings and ptrace-error-verbosity.
  * Don't use libsource-highlight-dev on i386.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Dec 2020 12:06:12 +0100

gdb (10.1-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Update to the gdb-10-branch 20201212.
  * debian/rules: Get rid off the cdbs named macro names. Addresses: #973355.
  * gdb-multiarch: Don't call install with -s, build a proper dbgsym package.
    Closes: #968533.
  * gdb-source: Compress with xz instead of bz2.
  * Make the build of the minimal variant optional (built by default).
  * Allow building a gdb-doc package (disabled by default).
  * Build with babeltrace everywhere.
  * Also build gdbserver on riscv64.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sat, 12 Dec 2020 10:23:22 +0100

gdb (10.1-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to debhelper v10, not using the sequencer. Addresses: #973355.
  * Search for DWZ files in debug-file-directories as well, patch taken
    from the trunk.
  * Only build with debuginfod on linux targets.

 -- Matthias Klose <doko@debian.org>  Sun, 06 Dec 2020 22:42:31 +0100

gdb (10.1-1) unstable; urgency=medium

  * New upstream release.
  * bump debhelper compat to 10

 -- Héctor Orón Martínez <zumbi@debian.org>  Sun, 08 Nov 2020 16:34:21 +0100

gdb (10.1-0ubuntu1) hirsute; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 29 Oct 2020 10:14:31 +0100

gdb (9.2-0ubuntu1) groovy; urgency=medium

  * New upstream version (bug fix release).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 02 Jun 2020 11:43:50 +0200

=== debian/control ===
Source: gdb
Maintainer: Héctor Orón Martínez <zumbi@debian.org>
Uploaders: Riku Voipio <riku.voipio@linaro.org>,
           Sergio Durigan Junior <sergiodj@debian.org>
Section: devel
Priority: optional
Standards-Version: 4.5.1
Rules-Requires-Root: binary-targets
Build-Depends:
# Packaging deps
               debhelper (>= 10),
               lsb-release,
               xz-utils,
# Other tool deps
               autoconf,
               libtool,
               gettext,
               bison,
               dejagnu,
               flex,
               procps,
               gobjc,
               mig [hurd-any],
# GNU/kFreeBSD deps
               libutil-freebsd-dev [kfreebsd-any],
# TeX[info] deps
               texinfo (>= 4.7-2.2),
               texlive-base <!nodoc>,
# Libdev deps
               libexpat1-dev,
               libncurses5-dev,
               libreadline-dev,
               zlib1g-dev,
               liblzma-dev,
               libbabeltrace-dev,
               libipt-dev [amd64 i386 x32],
               libsource-highlight-dev [!i386],
	       libxxhash-dev,
	       libmpfr-dev,
               pkg-config,
# Python build
               python3-dev,
               libkvm-dev [kfreebsd-any],
               libunwind-dev [ia64],
# debuginfod
               libdebuginfod-dev [linux-any],
Vcs-Git: https://salsa.debian.org/gdb-team/gdb.git
Vcs-Browser: https://salsa.debian.org/gdb-team/gdb
Homepage: https://www.gnu.org/s/gdb/

Package: gdb
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python3:Depends}
Recommends: libc-dbg
Suggests: gdb-doc,
          gdbserver [linux-any]
Conflicts: gdb
Replaces: gdb
Provides: ${gdb:minimal}
Description: GNU Debugger
 GDB is a source-level debugger, capable of breaking programs at
 any specific line, displaying variable values, and determining
 where errors occurred. Currently, gdb supports C, C++, D,
 Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
 Go, and Ada. A must-have for any serious programmer.

Package: gdb-multiarch
Architecture: any
Depends: gdb (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Conflicts: gdb-arm-none-eabi
Breaks: gdb-arm-none-eabi
Provides: gdb-arm-none-eabi
Description: GNU Debugger (with support for multiple architectures)
 GDB is a source-level debugger, capable of breaking programs at
 any specific line, displaying variable values, and determining
 where errors occurred. Currently, gdb supports C, C++, D,
 Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
 Go, and Ada. A must-have for any serious programmer.
 .
 This package contains a version of GDB which supports multiple
 target architectures.

Package: gdbserver
Architecture: amd64 armel armhf arm64 i386 ia64 m32r m68k mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el riscv64 s390 s390x x32
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: gdb (<< 7.0.1-1)
Description: GNU Debugger (remote server)
 GDB is a source-level debugger, capable of breaking programs at
 any specific line, displaying variable values, and determining
 where errors occurred. Currently, gdb supports C, C++, D,
 Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
 Go, and Ada. A must-have for any serious programmer.
 .
 This package contains gdbserver.  Install this to debug remotely
 from another system where GDB is installed.

Package: gdb-source
Architecture: all
Depends: ${misc:Depends}
Description: GNU Debugger (source)
 GDB is a source-level debugger, capable of breaking programs at
 any specific line, displaying variable values, and determining
 where errors occurred. Currently, gdb supports C, C++, D,
 Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
 Go, and Ada. A must-have for any serious programmer.
 .
 This package contains the sources and patches which are needed
 to build GDB.

Package: gdb-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Breaks: gdb (<< 7.8), gdbserver (<< 7.8)
Replaces: gdb (<< 7.8), gdbserver (<< 7.8)
Description: The GNU Debugger Documentation
 GDB is a source-level debugger, capable of breaking programs at
 any specific line, displaying variable values, and determining
 where errors occurred. Currently, it works for C, C++, Fortran,
 Modula 2 and Java programs. A must-have for any serious
 programmer.
 .
 This package contains the GDB manual.

=== debian/rules ===
#!/usr/bin/make -f

SPACE := $(EMPTY) $(EMPTY)
COMMA := ,

include /usr/share/dpkg/architecture.mk

SOURCE_DATE_EPOCH ?= $(shell dpkg-parsechangelog -SDate | date -f- +%s)
deb_version := $(shell dpkg-parsechangelog | awk '/^Version:/ {print $$2}')

# The top-level configure script fails to pass these down properly ...
export CPPFLAGS
export LDFLAGS
CPPFLAGS += -fPIC

install = /usr/bin/install -p

# Rather paranoid than sorry. Make the shell exit with an error if an
# untested command fails.
SHELL += -e

INSTALL = $(install)
export INSTALL

distribution := $(shell lsb_release -is)
derivative   := $(shell if dpkg-vendor --derives-from Ubuntu; then echo Ubuntu; \
			elif dpkg-vendor --derives-from Debian; then echo Debian; \
			else echo Unknown; fi)

# Support parallel=<n> in DEB_BUILD_OPTIONS (see #209008)
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
  NJOBS := -j $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

ifneq (,$(filter nodoc, $(DEB_BUILD_PROFILES)))
  nodoc_profile = yes
endif

# Don't include docs with GFDL invariant sections
GFDL_INVARIANT_FREE := yes
ifeq ($(derivative),Ubuntu)
  GFDL_INVARIANT_FREE := no
  FORCE_CONTROL = FORCE
endif
ifneq ($(GFDL_INVARIANT_FREE),yes)
  ifneq ($(nodoc_profile),yes)
    with_doc := yes
  endif
endif

# ---------- settings for cross builds ----------

# Cross configuration support.  Check for an environment variable
# $GDB_TARGET, or a file debian/target.
ifndef GDB_TARGET
DEBIAN_TARGET_FILE := $(strip $(shell cat debian/target 2>/dev/null))
ifneq ($(DEBIAN_TARGET_FILE),)
GDB_TARGET := $(DEBIAN_TARGET_FILE)
endif
endif

DEB_TARGET_ALIAS ?= $(DEB_TARGET_GNU_TYPE)

ifneq ($(GDB_TARGET),)
  configure_target_args = --with-gdb-datadir="\$${prefix}/share/gdb-$(DEB_TARGET_GNU_TYPE)"
endif

ifeq ($(DEB_TARGET_ARCH),)
$(error GDB_TARGET value "$(GDB_TARGET)" is not a valid Debian architecture)
endif

ifdef GDB_TARGET
  DEB_CROSS = yes
  # TP: Target Prefix. Used primarily as a prefix for cross tool
  #     names (e.g. powerpc-linux-gcc).
  # TS: Target Suffix. Used primarily at the end of cross compiler
  #     package names (e.g. gcc-powerpc).
  TP = $(DEB_TARGET_ALIAS)-
  TS = -$(DEB_TARGET_ALIAS)
  FORCE_CONTROL = FORCE
endif

# ---------- configure options, architecture specific ----------

ifeq ($(DEB_HOST_GNU_CPU),ia64)
  arch_config_args := --with-libunwind-ia64
endif

arch_config_args += --with-babeltrace

# Enable Intel Processor Trace (PT) on Linux x86 platform
ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386))
  arch_config_args += --with-intel-pt
endif

ifdef GDB_TARGET
  arch_config_args += --program-prefix=$(TP) \
    --target=$(DEB_TARGET_ALIAS) --with-sysroot=/usr/$(DEB_TARGET_ALIAS)
else
  # To avoid file conflicts, only enable the global gdbinit file for native
  # debuggers.
  arch_config_args += --with-system-gdbinit=/etc/gdb/gdbinit --with-system-gdbinit-dir=/etc/gdb/gdbinit.d
endif

# ---------- running tests? ----------

run_tests := yes
ifneq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
  run_tests := disabled by DEB_BUILD_OPTIONS
endif

ifeq (,$(findstring linux, $(DEB_HOST_GNU_SYSTEM)))
  run_tests := only enabled for linux targets
endif

ifneq (,$(filter armhf, $(DEB_HOST_ARCH)))
  run_tests := not enabled for $(DEB_HOST_ARCH)
endif

ifdef GDB_TARGET
  run_tests := disabled for cross builds
endif

# ---------- configure options, for all variants ----------

variants = default multiarch minimal
ifeq ($(derivative),Ubuntu)
  variants = default multiarch
endif

# We pass srcdir explicitly to avoid an extra '/.' at the end of it.  That
# causes a harmless, but ugly, testsuite failure in maint.exp.
common_configure_args = \
	--build=$(DEB_BUILD_GNU_TYPE) \
	--host=$(DEB_HOST_GNU_TYPE) \
	--prefix=/usr \
	--libexecdir="\$${prefix}/lib/gdb" \
	--disable-maintainer-mode \
	--disable-dependency-tracking \
	--disable-silent-rules \
	--disable-gdbtk \
	--disable-shared \
	--with-pkgversion='$(distribution)___$(deb_version)' \
	--srcdir=$(CURDIR) \
	--disable-readline \
	--with-system-readline \
	--with-expat \
	--with-system-zlib \
	--without-guile \
	--without-babeltrace \
	$(if $(filter linux, $(DEB_HOST_ARCH_OS)),--with-debuginfod) \
	$(arch_config_args) \

default_configure_args = \
	$(common_configure_args) \
	$(configure_target_args) \
	--enable-tui \
	--with-lzma \
	--with-python=python3 \
	--with-xxhash \
	--with-mpfr \

# multiarch targets; this is taken from the binutils-multiarch package but
# doesn't seem like a terribly nice list; see
# <20110117211551.GA7216@bee.dooz.org> for discussion -- locally updated
MULTIARCH_TARGETS := \
	aarch64-linux-gnu \
	alpha-linux-gnu \
	arm-linux-gnu \
	arm-linux-gnueabi \
	arm-linux-gnueabihf \
	arm-none-eabi \
	hppa-linux-gnu \
	i686-linux-gnu \
	ia64-linux-gnu \
	m68k-linux-gnu \
	m68k-rtems \
	mips-linux-gnu \
	mipsel-linux-gnu \
	mips64-linux-gnu \
	mips64el-linux-gnu \
	powerpc-linux-gnu \
	powerpc-linux-gnuspe \
	powerpc64le-linux-gnu \
	powerpc64-linux-gnu \
	ppc64-linux-gnu \
	riscv32-linux-gnu \
	riscv64-linux-gnu \
	s390-linux-gnu \
	s390x-linux-gnu \
	sh-linux-gnu \
	sparc-linux-gnu \
	sparc64-linux-gnu \
	x86_64-linux-gnu \
	x86_64-linux-gnux32 \
	m32r-linux-gnu

# broken, see https://launchpad.net/bugs/1233185
#MULTIARCH_TARGETS := all
#	--enable-targets=$(MULTIARCH_TARGETS) \
# multiarch flags

multiarch_configure_args = \
	$(default_configure_args) \
	--enable-64-bit-bfd \
	--enable-targets=$(subst $(SPACE),$(COMMA),$(MULTIARCH_TARGETS)) \
	--disable-sim \
	--enable-obsolete

# Minimal flags
minimal_configure_args = \
	$(common_configure_args) \
	--disable-tui \
	--without-python \
	--without-babeltrace \
	--disable-source-highlight \
	--without-mpfr \

# ---------- configure and build targets ----------

builddir_default	= build/default
builddir_minimal	= build/minimal
builddir_multiarch	= build/multiarch
builddir_source		= build/gdb

stamps/configure-%:
	@mkdir -p stamps
	rm -rf $(builddir_$*)
	mkdir -p $(builddir_$*)
	@echo "gdb-$*: configured with: $(subst ___, ,$(foreach i,$($*_configure_args),$(i)\n\t))"
	cd $(builddir_$*) && CFLAGS="$(CFLAGS)" \
	  ../../configure $(subst ___,$(SPACE),$($*_configure_args))
	touch $@

stamps/build-%: stamps/configure-%
	V=1 $(MAKE) -C $(builddir_$*) $(NJOBS)
	$(if $(filter yes, $(nodoc_profile)),, \
	  $(if $(filter default, $*), \
	    $(MAKE) -C $(builddir_default) info))
	$(if $(filter yes, $(nodoc_profile)),, \
	  $(if $(filter default, $*), \
	    $(MAKE) -C $(builddir_$*)/gdb/doc refcard.dvi refcard.ps))
	touch $@

stamps/check: stamps/build-default
ifeq ($(run_tests),yes)
	$(MAKE) $(NJOBS) -C $(builddir_default)/gdb check \
	  || echo "*** Tests failed, of course. ***"
else
	@echo "***Tests disabled: $(run_tests) ***"
endif
	touch $@

stamps/build-doc: stamps/build-default
	$(MAKE) -C $(builddir_default)/gdb/doc pdf html

# ---------- installation and packaging targets ----------

clean: debian/control
	dh_clean
	rm -rf stamps build
	rm -f debian/files

	if test -f gdb/version.in.backup; then \
	  mv -f gdb/version.in.backup gdb/version.in; \
	fi

#	# For snapshots this is appropriate; careful of release tarballs
#	# which include .gmo files.
#	find -type f -name '*.gmo' | xargs rm -f

	# Prevent gratuitous rebuilds of the BFD documentation, since it
	# updates the copy in the source directory.
	find bfd -name bfd.info\* | xargs --no-run-if-empty touch

install-pre:
	dh_prep

install: install-pre
	: # gdb install
	$(MAKE) -C $(builddir_default) install DESTDIR=$(CURDIR)/debian/tmp
	rm -rf debian/gdb-doc/usr/share/man

	dh_install

	install -d debian/gdb$(TS)/usr/share/man/man1; \
	install -m 644 debian/gcore.1 debian/gdb$(TS)/usr/share/man/man1/.

	if [ -x debian/tmp/usr/bin/run ]; then \
		mv debian/tmp/usr/bin/run \
		  debian/gdb$(TS)/usr/bin/$(DEB_TARGET_ALIAS)-run; \
	fi
	if [ -r debian/tmp/usr/share/man/man1/run.1 ]; then \
		mv debian/tmp/usr/share/man/man1/run.1 \

## gdb 11.1

=== debian/changelog ===
gdb (11.1-0ubuntu2) impish; urgency=medium

  * GDB 11.1 release.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Sep 2021 13:32:16 +0200

gdb (11.0.90.20210903-0ubuntu3) impish; urgency=medium

  * Also disable building the simulator on riscv64.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Sep 2021 14:15:42 +0200

gdb (11.0.90.20210903-0ubuntu2) impish; urgency=medium

  * Also disable building the simulator on armhf and arm64.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Sep 2021 09:26:23 +0200

gdb (11.0.90.20210903-0ubuntu1) impish; urgency=medium

  * New upstream snapshot, taken from the gdb-11 release branch.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Sep 2021 08:36:50 +0200

gdb (11.0.90.20210809-0ubuntu1) impish; urgency=medium

  * New upstream snapshot, taken from the gdb-11 release branch.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 09 Aug 2021 19:16:34 +0200

gdb (11.0.90.20210706-0ubuntu1) impish; urgency=medium

  * New upstream snapshot, taken from the gdb-11 release branch.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 07 Jul 2021 10:14:09 +0200

gdb (11.0.90.20210705-0ubuntu2) impish; urgency=medium

  * Apply proposed patch for PR gdb/28056.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 05 Jul 2021 21:14:03 +0200

gdb (11.0.90.20210705-0ubuntu1) impish; urgency=medium

  * New upstream snapshot, taken from the gdb-11 release branch.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 05 Jul 2021 09:38:27 +0200

gdb (11.0.50.20210630-0ubuntu1) impish; urgency=medium

  * New upstream snapshot.
  * Configure with --disable-werror.
  * Configure with --disable-sim on ppc64el.
  * Build-depend / depend on libc6-dbg on armhf. LP: #1927192.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 30 Jun 2021 11:53:33 +0200

gdb (10.2-0ubuntu2) impish; urgency=medium

  * Ship an (empty) /etc/gdb/gdbinit.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 28 Apr 2021 17:20:47 +0200

gdb (10.2-0ubuntu1) impish; urgency=medium

  * gdb 10.2 release. Changes compared to 10.1-2ubuntu2:
    - Fix getting range of flexible array member in Python.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 26 Apr 2021 15:26:04 +0200

=== debian/rules ===
--- 
+++ 
@@ -113,9 +113,9 @@
   run_tests := only enabled for linux targets
 endif
 
-ifneq (,$(filter armhf, $(DEB_HOST_ARCH)))
-  run_tests := not enabled for $(DEB_HOST_ARCH)
-endif
+#ifneq (,$(filter armhf, $(DEB_HOST_ARCH)))
+#  run_tests := not enabled for $(DEB_HOST_ARCH)
+#endif
 
 ifdef GDB_TARGET
   run_tests := disabled for cross builds
@@ -135,21 +135,26 @@
 	--host=$(DEB_HOST_GNU_TYPE) \
 	--prefix=/usr \
 	--libexecdir="\$${prefix}/lib/gdb" \
+	--disable-werror \
 	--disable-maintainer-mode \
 	--disable-dependency-tracking \
 	--disable-silent-rules \
 	--disable-gdbtk \
 	--disable-shared \
+	--with-system-readline \
 	--with-pkgversion='$(distribution)___$(deb_version)' \
 	--srcdir=$(CURDIR) \
-	--disable-readline \
-	--with-system-readline \
 	--with-expat \
 	--with-system-zlib \
 	--without-guile \
 	--without-babeltrace \
+	$(if $(filter $(DEB_HOST_ARCH), armhf arm64 ppc64el riscv64),--disable-sim) \
 	$(if $(filter linux, $(DEB_HOST_ARCH_OS)),--with-debuginfod) \
 	$(arch_config_args) \
+
+#	$(if $(filter $(DEB_HOST_ARCH), armhf arm64 ppc64el riscv64),--disable-sim) \
+#	--disable-readline \
+#	--with-system-readline \
 
 default_configure_args = \
 	$(common_configure_args) \
@@ -225,6 +230,7 @@
 
 stamps/configure-%:
 	@mkdir -p stamps
+	rm -f gdb/doc/GDBvn.texi
 	rm -rf $(builddir_$*)
 	mkdir -p $(builddir_$*)
 	@echo "gdb-$*: configured with: $(subst ___, ,$(foreach i,$($*_configure_args),$(i)\n\t))"
@@ -246,6 +252,9 @@
 ifeq ($(run_tests),yes)
 	$(MAKE) $(NJOBS) -C $(builddir_default)/gdb check \
 	  || echo "*** Tests failed, of course. ***"
+	@echo "===== TEST SUMMARY BEGIN ====="
+	-cat $(builddir_default)/gdb/testsuite/gdb.sum
+	@echo "===== TEST SUMMARY END ====="
 else
 	@echo "***Tests disabled: $(run_tests) ***"
 endif
@@ -283,12 +292,3 @@
 
 	dh_install
 
-	install -d debian/gdb$(TS)/usr/share/man/man1; \
-	install -m 644 debian/gcore.1 debian/gdb$(TS)/usr/share/man/man1/.
-
-	if [ -x debian/tmp/usr/bin/run ]; then \
-		mv debian/tmp/usr/bin/run \
-		  debian/gdb$(TS)/usr/bin/$(DEB_TARGET_ALIAS)-run; \
-	fi
-	if [ -r debian/tmp/usr/share/man/man1/run.1 ]; then \
-		mv debian/tmp/usr/share/man/man1/run.1 \

## gdb 12.0.90

=== debian/changelog ===
gdb (12.0.90-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot, taken from the gdb-12 release branch.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 21 Mar 2022 16:27:58 +0100

gdb (12.0.50.20220217-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Feb 2022 07:33:33 +0100

gdb (11.2-0ubuntu1) jammy; urgency=medium

  * GDB 11.2 release.

 -- Matthias Klose <doko@debian.org>  Wed, 19 Jan 2022 10:11:23 +0100

gdb (11.1-0ubuntu3) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 19:15:33 +0000

=== debian/control ===
--- 
+++ 
@@ -44,6 +44,7 @@
                libunwind-dev [ia64],
 # debuginfod
                libdebuginfod-dev [linux-any],
+               libc6-dbg [armhf],
 Vcs-Git: https://salsa.debian.org/gdb-team/gdb.git
 Vcs-Browser: https://salsa.debian.org/gdb-team/gdb
 Homepage: https://www.gnu.org/s/gdb/
@@ -52,7 +53,8 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         ${python3:Depends}
+         ${python3:Depends},
+         libc6-dbg [armhf],
 Recommends: libc-dbg
 Suggests: gdb-doc,
           gdbserver [linux-any]

## gdb 12.1

=== debian/changelog ===
gdb (12.1-4) unstable; urgency=medium

  * debian/patches/upstream-fix-core-detach-crash.patch: taken from GDB 12 branch
  * debian/patches/upstream-fix-build-readline8.patch: fix ftbfs
    (Closes: #1018821, #1020001, #1020032)

 -- Héctor Orón Martínez <zumbi@debian.org>  Wed, 12 Oct 2022 16:28:09 +0200

gdb (12.1-3) unstable; urgency=medium

  * No changes, source-only upload.

 -- Héctor Orón Martínez <zumbi@debian.org>  Thu, 07 Jul 2022 19:12:45 +0200

gdb (12.1-2) unstable; urgency=medium

  * debian/rules: disable simulator for certain arches

 -- Héctor Orón Martínez <zumbi@debian.org>  Wed, 22 Jun 2022 20:32:17 +0200

gdb (12.1-1) unstable; urgency=medium

  * Remove and thank Riku Voipio for past contributions
    (Closes: #1001561)
  * Bump standards version, no changes
  * New upstream release.
    (Closes: #1012494)
  * debian/patches: refresh, merged upstream gdb_bsd support

 -- Héctor Orón Martínez <zumbi@debian.org>  Wed, 22 Jun 2022 18:10:19 +0200

gdb (11.2-1) unstable; urgency=medium

  * New upstream release.

 -- Héctor Orón Martínez <zumbi@debian.org>  Fri, 29 Apr 2022 18:20:54 +0200

gdb (10.0.50.20200913-1~exp1) experimental; urgency=medium

  * New upstream version 10.0.50.20200913
  * enable debuginfod support
  * debian/patches: refresh

 -- Héctor Orón Martínez <zumbi@debian.org>  Sat, 19 Sep 2020 19:21:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: gdb
 Maintainer: Héctor Orón Martínez <zumbi@debian.org>
-Uploaders: Riku Voipio <riku.voipio@linaro.org>,
-           Sergio Durigan Junior <sergiodj@debian.org>
+Uploaders: Sergio Durigan Junior <sergiodj@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: binary-targets
 Build-Depends:
 # Packaging deps
@@ -34,7 +33,7 @@
                liblzma-dev,
                libbabeltrace-dev,
                libipt-dev [amd64 i386 x32],
-               libsource-highlight-dev [!i386],
+               libsource-highlight-dev,
 	       libxxhash-dev,
 	       libmpfr-dev,
                pkg-config,
@@ -44,7 +43,6 @@
                libunwind-dev [ia64],
 # debuginfod
                libdebuginfod-dev [linux-any],
-               libc6-dbg [armhf],
 Vcs-Git: https://salsa.debian.org/gdb-team/gdb.git
 Vcs-Browser: https://salsa.debian.org/gdb-team/gdb
 Homepage: https://www.gnu.org/s/gdb/
@@ -53,8 +51,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         ${python3:Depends},
-         libc6-dbg [armhf],
+         ${python3:Depends}
 Recommends: libc-dbg
 Suggests: gdb-doc,
           gdbserver [linux-any]
@@ -111,17 +108,18 @@
  This package contains the sources and patches which are needed
  to build GDB.
 
-Package: gdb-doc
-Architecture: all
-Section: doc
-Depends: ${misc:Depends}
-Breaks: gdb (<< 7.8), gdbserver (<< 7.8)
-Replaces: gdb (<< 7.8), gdbserver (<< 7.8)
-Description: The GNU Debugger Documentation
+Package: gdb-minimal
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Provides: gdb
+Conflicts: gdb
+Replaces: gdb
+Description: GNU Debugger (minimal version)
  GDB is a source-level debugger, capable of breaking programs at
  any specific line, displaying variable values, and determining
- where errors occurred. Currently, it works for C, C++, Fortran,
- Modula 2 and Java programs. A must-have for any serious
- programmer.
+ where errors occurred. Currently, gdb supports C, C++, D,
+ Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
+ Go, and Ada. A must-have for any serious programmer.
  .
- This package contains the GDB manual.
+ This package contains a minimal version of GDB with optional features
+ disabled.

=== debian/rules ===
--- 
+++ 
@@ -113,10 +113,6 @@
   run_tests := only enabled for linux targets
 endif
 
-#ifneq (,$(filter armhf, $(DEB_HOST_ARCH)))
-#  run_tests := not enabled for $(DEB_HOST_ARCH)
-#endif
-
 ifdef GDB_TARGET
   run_tests := disabled for cross builds
 endif
@@ -135,26 +131,22 @@
 	--host=$(DEB_HOST_GNU_TYPE) \
 	--prefix=/usr \
 	--libexecdir="\$${prefix}/lib/gdb" \
-	--disable-werror \
 	--disable-maintainer-mode \
 	--disable-dependency-tracking \
 	--disable-silent-rules \
 	--disable-gdbtk \
 	--disable-shared \
-	--with-system-readline \
 	--with-pkgversion='$(distribution)___$(deb_version)' \
 	--srcdir=$(CURDIR) \
+	--disable-readline \
+	--with-system-readline \
 	--with-expat \
 	--with-system-zlib \
 	--without-guile \
 	--without-babeltrace \
-	$(if $(filter $(DEB_HOST_ARCH), armhf arm64 ppc64el riscv64),--disable-sim) \
+	$(if $(filter $(DEB_HOST_ARCH), armhf arm64 mips mipsel ppc64el riscv64),--disable-sim) \
 	$(if $(filter linux, $(DEB_HOST_ARCH_OS)),--with-debuginfod) \
 	$(arch_config_args) \
-
-#	$(if $(filter $(DEB_HOST_ARCH), armhf arm64 ppc64el riscv64),--disable-sim) \
-#	--disable-readline \
-#	--with-system-readline \
 
 default_configure_args = \
 	$(common_configure_args) \
@@ -230,7 +222,6 @@
 
 stamps/configure-%:
 	@mkdir -p stamps
-	rm -f gdb/doc/GDBvn.texi
 	rm -rf $(builddir_$*)
 	mkdir -p $(builddir_$*)
 	@echo "gdb-$*: configured with: $(subst ___, ,$(foreach i,$($*_configure_args),$(i)\n\t))"
@@ -252,9 +243,6 @@
 ifeq ($(run_tests),yes)
 	$(MAKE) $(NJOBS) -C $(builddir_default)/gdb check \
 	  || echo "*** Tests failed, of course. ***"
-	@echo "===== TEST SUMMARY BEGIN ====="
-	-cat $(builddir_default)/gdb/testsuite/gdb.sum
-	@echo "===== TEST SUMMARY END ====="
 else
 	@echo "***Tests disabled: $(run_tests) ***"
 endif
@@ -292,3 +280,12 @@
 
 	dh_install
 
+	install -d debian/gdb$(TS)/usr/share/man/man1; \
+	install -m 644 debian/gcore.1 debian/gdb$(TS)/usr/share/man/man1/.
+
+	if [ -x debian/tmp/usr/bin/run ]; then \
+		mv debian/tmp/usr/bin/run \
+		  debian/gdb$(TS)/usr/bin/$(DEB_TARGET_ALIAS)-run; \
+	fi
+	if [ -r debian/tmp/usr/share/man/man1/run.1 ]; then \
+		mv debian/tmp/usr/share/man/man1/run.1 \

## gdb 13.1

=== gdb/syscalls/Makefile ===
# Copyright (C) 2022-2023 Free Software Foundation, Inc.

# This file is part of GDB.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# Generate .xml files from .xml.in files.

FILES=$(shell ls *.xml.in | grep -v linux-defaults.xml.in | sed 's/\.in//')

all:
	for f in $(FILES); do \
	  xsltproc --output $$f apply-defaults.xsl $$f.in; \
	done

=== debian/changelog ===
gdb (13.1-3) unstable; urgency=medium

  [ Emanuele Rocca ]
  * aarch64: add aarch64-pauth-registers.patch to check for valid inferior
    thread/regcache before reading pauth registers. (Closes: #1034611)

 -- Héctor Orón Martínez <zumbi@debian.org>  Sat, 13 May 2023 13:33:12 +0200

gdb (13.1-2) unstable; urgency=medium

  * Apply upstream proposed fix for PR/30158
    (Closes: #1031745)
  * debian/patches: refresh
  * install changelog on binary-arch packages
    (Closes: #1031722)
  * adjust lintian overrides

 -- Héctor Orón Martínez <zumbi@debian.org>  Fri, 24 Feb 2023 22:58:29 +0100

gdb (13.1-1) unstable; urgency=medium

  * New upstream release.
    (Closes: #1031625)

 -- Héctor Orón Martínez <zumbi@debian.org>  Mon, 20 Feb 2023 16:33:36 +0100

gdb (13.0.91.20230210-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Generate tarball using the sanitize-gdb.sh script. Closes: #1030893.
  * Fix building the gdb info documentation.

 -- Matthias Klose <doko@debian.org>  Fri, 10 Feb 2023 04:48:07 +0100

gdb (13.0.91-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * gdb 13 release candidate.

 -- Matthias Klose <doko@debian.org>  Mon, 06 Feb 2023 14:49:17 +0100

gdb (13.0.90.20230114-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream snapshot, taken from the gdb-13 release branch.
    See https://sourceware.org/pipermail/gdb-patches/2023-January/195766.html
  * Build-depend on libzstd-dev.
  * debian/copyright: Update copyright years.
  * debian/rules: Add new target to remove gfdl files.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sat, 14 Jan 2023 09:59:00 +0100

gdb (13.0.50.20221012-1) experimental; urgency=medium

  * New upstream version 13.0.50.20221012
  * debian/gbp.conf: use experimental branch
  * debian/patches: update

 -- Héctor Orón Martínez <zumbi@debian.org>  Wed, 12 Oct 2022 17:48:19 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Sergio Durigan Junior <sergiodj@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: binary-targets
 Build-Depends:
 # Packaging deps
@@ -27,10 +27,11 @@
                texlive-base <!nodoc>,
 # Libdev deps
                libexpat1-dev,
-               libncurses5-dev,
+               libncurses-dev,
                libreadline-dev,
                zlib1g-dev,
                liblzma-dev,
+               libzstd-dev,
                libbabeltrace-dev,
                libipt-dev [amd64 i386 x32],
                libsource-highlight-dev,

## gdb 13.2

=== debian/changelog ===
gdb (13.2-1+rb2) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches: included upstream.
    - fix-crash-in-inside_main_func.patch
    - aarch64-pauth-registers.patch

 -- Héctor Orón Martínez <zumbi@debian.org>  Tue, 06 Jun 2023 14:07:56 +0200

## gdb 14.0.50.20230810

=== debian/changelog ===
gdb (14.0.50.20230810-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot.
  * Configure without --with-mpfr (picked up by default).

 -- Matthias Klose <doko@ubuntu.com>  Fri, 11 Aug 2023 07:21:03 +0200

gdb (13.2-1ubuntu1) mantic; urgency=medium

  * Merge with Debian from unstable (LP: #2023016)
    - build from upstream tarball
    - debian/control:
      - removed gdb-minimal package
      - added gdb-doc package
      - added (build-)dependency libc6-dbg on armhf
      - exclude libsource-highlight-dev on i386
    - debian/control.in:
      - added (build-)dependency libc6-dbg on armhf
      - exclude libsource-highlight-dev on i386
    - debian/patches/series: 
      - apply patches gdb-strings and ptrace-error-verbosity
    - debian/gdb.install & debian/gdbserver.install: 
      - include manpages in binary packages
    - debian/rules:
      - skip tests on armhf, hanging on the buildds
      - configure with --disable-werror
      - disable configure with --disable-sim
      - clean gdb/doc/GDBvn.texi before build
      - show test summary after test run
      - disable man-page installation (moved to *.install files)

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Fri, 16 Jun 2023 14:42:38 +0300

gdb (13.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches: included upstream.
    - fix-crash-in-inside_main_func.patch
    - aarch64-pauth-registers.patch

 -- Héctor Orón Martínez <zumbi@debian.org>  Tue, 06 Jun 2023 14:07:56 +0200

gdb (13.1-2ubuntu2) lunar; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from the upstream source tarball.
    - Build a gdb-doc package, include manpages in binary packages.
    - Regenerate the control file.
    - Apply patches gdb-strings and ptrace-error-verbosity.
    - Don't use libsource-highlight-dev on i386.
    - Skip tests on armhf, hanging on the buildds.
    - (Build-)depend on libc6-dbg on armhf.
    - Don't configure with --disable-sim.
    - Configure with --disable-werror.
    - Clean gdb/doc/GDBvn.texi before build.
    - Show test summary after test run.
    - Don't build a gdb-minimal package.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Feb 2023 06:59:44 +0100

gdb (13.1-1ubuntu1) lunar; urgency=medium

  * GDB 13.1 release.
  * Merge with Debian; remaining changes:
    - Build from the upstream source tarball.
    - Build a gdb-doc package, include manpages in binary packages.
    - Regenerate the control file.
    - Apply patches gdb-strings and ptrace-error-verbosity.
    - Don't use libsource-highlight-dev on i386.
    - Skip tests on armhf, hanging on the buildds.
    - (Build-)depend on libc6-dbg on armhf.
    - Don't configure with --disable-sim.
    - Configure with --disable-werror.
    - Clean gdb/doc/GDBvn.texi before build.
    - Show test summary after test run.
    - Don't build a gdb-minimal package.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 21 Feb 2023 07:58:50 +0100

gdb (13.0.91.20230210-1ubuntu1) lunar; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from the upstream source tarball.
    - Regenerate the control file.
    - Apply patches gdb-strings and ptrace-error-verbosity.
    - Don't use libsource-highlight-dev on i386.
    - Skip tests on armhf, hanging on the buildds.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Feb 2023 05:35:58 +0100

gdb (12.1-4ubuntu1) lunar; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from the upstream source tarball.
    - Regenerate the control file.
    - Apply patches gdb-strings and ptrace-error-verbosity.
    - Don't use libsource-highlight-dev on i386.
    - Skip tests on armhf, hanging on the buildds.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 14 Jan 2023 08:44:52 +0100

gdb (12.1-3ubuntu3) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 25 Dec 2022 19:46:12 +0000

gdb (12.1-3ubuntu2) kinetic; urgency=medium

  * Fix FTBFS with readline 8.2.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 29 Sep 2022 10:34:43 +0200

gdb (12.1-3ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from the upstream source tarball.
    - Regenerate the control file.
    - Apply patches gdb-strings and ptrace-error-verbosity.
    - Don't use libsource-highlight-dev on i386.
    - Skip tests on armhf, hanging on the buildds.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Aug 2022 08:46:34 +0200

gdb (12.1-0ubuntu1) kinetic; urgency=medium

  * GDB 12.1 release.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 May 2022 18:58:48 +0200

## gdb 14.0.50.20230907

=== debian/changelog ===
gdb (14.0.50.20230907-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Sep 2023 07:55:41 +0200

## gdb 14.1

=== debian/changelog ===
gdb (14.1-0ubuntu2) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 19:21:32 +0000

gdb (14.1-0ubuntu1) noble; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Dec 2023 13:25:02 +0100

## gdb 15.0.50.20240403

=== debian/changelog ===
gdb (15.0.50.20240403-0ubuntu1) noble; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 03 Apr 2024 12:51:19 +0200

gdb (15.0.50.20240320-0ubuntu1) noble; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 20 Mar 2024 14:25:50 +0100

gdb (15.0.50.20240312-0ubuntu1) noble; urgency=medium

  * New upstream snapshot.
  * Drop the time64 workarounds for armhf.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 12 Mar 2024 12:00:38 +0100

gdb (15.0.50.20240219-0ubuntu1) noble; urgency=medium

  * New upstream snapshot.
  * Support for new IBM Z Hardware (IBM z16). LP: #1982336.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 19 Feb 2024 21:49:40 +0100

gdb (15.0.50.20231231-0ubuntu1) noble; urgency=medium

  * New upstream snapshot.
    - Disable the gdb-glibc-vdso-workaround patch.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 31 Dec 2023 10:44:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: gdb
-Maintainer: Héctor Orón Martínez <zumbi@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Héctor Orón Martínez <zumbi@debian.org>
 Uploaders: Sergio Durigan Junior <sergiodj@debian.org>
 Section: devel
 Priority: optional
@@ -34,7 +35,7 @@
                libzstd-dev,
                libbabeltrace-dev,
                libipt-dev [amd64 i386 x32],
-               libsource-highlight-dev,
+               libsource-highlight-dev [!i386],
 	       libxxhash-dev,
 	       libmpfr-dev,
                pkg-config,
@@ -44,6 +45,7 @@
                libunwind-dev [ia64],
 # debuginfod
                libdebuginfod-dev [linux-any],
+               libc6-dbg [armhf],
 Vcs-Git: https://salsa.debian.org/gdb-team/gdb.git
 Vcs-Browser: https://salsa.debian.org/gdb-team/gdb
 Homepage: https://www.gnu.org/s/gdb/
@@ -52,7 +54,8 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         ${python3:Depends}
+         ${python3:Depends},
+         libc6-dbg [armhf],
 Recommends: libc-dbg
 Suggests: gdb-doc,
           gdbserver [linux-any]
@@ -109,18 +112,17 @@
  This package contains the sources and patches which are needed
  to build GDB.
 
-Package: gdb-minimal
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Provides: gdb
-Conflicts: gdb
-Replaces: gdb
-Description: GNU Debugger (minimal version)
+Package: gdb-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Breaks: gdb (<< 7.8), gdbserver (<< 7.8)
+Replaces: gdb (<< 7.8), gdbserver (<< 7.8)
+Description: The GNU Debugger Documentation
  GDB is a source-level debugger, capable of breaking programs at
  any specific line, displaying variable values, and determining
- where errors occurred. Currently, gdb supports C, C++, D,
- Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
- Go, and Ada. A must-have for any serious programmer.
+ where errors occurred. Currently, it works for C, C++, Fortran,
+ Modula 2 and Java programs. A must-have for any serious
+ programmer.
  .
- This package contains a minimal version of GDB with optional features
- disabled.
+ This package contains the GDB manual.

=== debian/rules ===
--- 
+++ 
@@ -113,9 +113,16 @@
   run_tests := only enabled for linux targets
 endif
 
+# FIXME: hanging on the Ubuntu buildds?
+#ifneq (,$(filter armhf, $(DEB_HOST_ARCH)))
+#  run_tests := not enabled for $(DEB_HOST_ARCH)
+#endif
+
 ifdef GDB_TARGET
   run_tests := disabled for cross builds
 endif
+
+run_tests := disabled for this upload
 
 # ---------- configure options, for all variants ----------
 
@@ -131,6 +138,7 @@
 	--host=$(DEB_HOST_GNU_TYPE) \
 	--prefix=/usr \
 	--libexecdir="\$${prefix}/lib/gdb" \
+	--disable-werror \
 	--disable-maintainer-mode \
 	--disable-dependency-tracking \
 	--disable-silent-rules \
@@ -144,9 +152,10 @@
 	--with-system-zlib \
 	--without-guile \
 	--without-babeltrace \
-	$(if $(filter $(DEB_HOST_ARCH), armhf arm64 mips mipsel ppc64el riscv64),--disable-sim) \
 	$(if $(filter linux, $(DEB_HOST_ARCH_OS)),--with-debuginfod) \
 	$(arch_config_args) \
+
+#	$(if $(filter $(DEB_HOST_ARCH), armhf arm64 mips mipsel ppc64el riscv64),--disable-sim) \
 
 default_configure_args = \
 	$(common_configure_args) \
@@ -155,7 +164,6 @@
 	--with-lzma \
 	--with-python=python3 \
 	--with-xxhash \
-	--with-mpfr \
 
 # multiarch targets; this is taken from the binutils-multiarch package but
 # doesn't seem like a terribly nice list; see
@@ -222,6 +230,7 @@
 
 stamps/configure-%:
 	@mkdir -p stamps
+	rm -f gdb/doc/GDBvn.texi
 	rm -rf $(builddir_$*)
 	mkdir -p $(builddir_$*)
 	@echo "gdb-$*: configured with: $(subst ___, ,$(foreach i,$($*_configure_args),$(i)\n\t))"
@@ -243,6 +252,9 @@
 ifeq ($(run_tests),yes)
 	$(MAKE) $(NJOBS) -C $(builddir_default)/gdb check \
 	  || echo "*** Tests failed, of course. ***"
+	@echo "===== TEST SUMMARY BEGIN ====="
+	-cat $(builddir_default)/gdb/testsuite/gdb.sum
+	@echo "===== TEST SUMMARY END ====="
 else
 	@echo "***Tests disabled: $(run_tests) ***"
 endif
@@ -281,11 +293,3 @@
 	dh_install
 
 	install -d debian/gdb$(TS)/usr/share/man/man1; \
-	install -m 644 debian/gcore.1 debian/gdb$(TS)/usr/share/man/man1/.
-
-	if [ -x debian/tmp/usr/bin/run ]; then \
-		mv debian/tmp/usr/bin/run \
-		  debian/gdb$(TS)/usr/bin/$(DEB_TARGET_ALIAS)-run; \
-	fi
-	if [ -r debian/tmp/usr/share/man/man1/run.1 ]; then \
-		mv debian/tmp/usr/share/man/man1/run.1 \

=== debian/watch ===
# See uscan(1) for format
version=3
opts=pgpsigurlmangle=s/$/.sig/ https://ftp.gnu.org/gnu/gdb/gdb-(.*)\.tar\.(?:gz|bz2|xz)
